[![Slack Status](https://slack.projectcalico.org/badge.svg)](https://slack.projectcalico.org)
[![IRC Channel](https://img.shields.io/badge/irc-%23calico-blue.svg)](https://kiwiirc.com/client/irc.freenode.net/#calico)
[![Docker Pulls](https://img.shields.io/docker/pulls/calico/node.svg)](https://hub.docker.com/r/calico/node/)
[![](https://badge.imagelayers.io/calico/node:latest.svg)](https://imagelayers.io/?images=calico/node:latest)

# Calico
<img src="http://docs.projectcalico.org/images/felix.png" width="100" height="100">

Calico is an open source system enabling cloud native application connectivity and policy. Calico integrates with major orchestration
systems like [Kubernetes](https://kubernetes.io), [Apache Mesos](http://mesos.apache.org/), [Docker](https://www.docker.com/), [OpenStack](https://www.openstack.org/) and more to provide a seamless
experience for developers and operators.

Calico is a [Tigera](https://www.tigera.io/) open source project, and is primarily maintained by the Tigera team.

## Get Started Using Calico

For users who want to learn more about the project or get started with Calico, see the documentation on [docs.projectcalico.org](https://docs.projectcalico.org).

## Get Started Developing Calico

- [Contribution guidelines](CONTRIBUTING_CODE.md): submitting changes to Calico and contribution workflow.
- [Developer guide](DEVELOPER_GUIDE.md): how to set up a development environment, build the code, and run tests.
- [Contributing to the Calico documentation](CONTRIBUTING_DOCS.md): submitting changes to [docs.projectcalico.org](https://docs.projectcalico.org)

## Support

You can get help through one of the [Calico community channels](https://www.projectcalico.org/community).

## License

Calico is available under the Apache 2.0 license. See the [LICENSE](LICENSE.md) file for details.
